---
title: offset-anchor
slug: Web/CSS/offset-anchor
tags:
  - CSS
  - CSS Motion Path
  - Experimental
  - Motion Path
  - Reference
  - offset-anchor
  - 'recipe:css-property'
---
<div>{{cssref}}</div>

<p>The <strong><code>offset-anchor</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property specifies the point inside the box of an element travelling along an {{cssxref("offset-path")}} that is actually moving along the path.</p>

<div>{{EmbedInteractiveExample("pages/css/offset-anchor.html")}}</div>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
offset-anchor: top;
offset-anchor: bottom;
offset-anchor: left;
offset-anchor: right;
offset-anchor: center;
offset-anchor: auto;

/* &lt;percentage&gt; values */
offset-anchor: 25% 75%;

/* &lt;length&gt; values */
offset-anchor: 0 0;
offset-anchor: 1cm 2cm;
offset-anchor: 10ch 8em;

/* Edge offsets values */
offset-anchor: bottom 10px right 20px;
offset-anchor: right 3em bottom 10px;

/* Global values */
offset-anchor: inherit;
offset-anchor: initial;
offset-anchor: unset;</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>auto</code></dt>
 <dd><code>offset-anchor</code> is given the same value as the element's {{cssxref("transform-origin")}}, unless {{cssxref("offset-path")}} is <code>none</code>, in which case it takes its value from {{cssxref("offset-position")}}.</dd>
 <dt><code>&lt;position&gt;</code></dt>
 <dd>A {{cssxref("&lt;position&gt;")}} defines an x/y coordinate, to place an item relative to the edges of an element's box. It can be defined using one to four values. For more specifics, see the {{cssxref("&lt;position&gt;")}} and {{cssxref("background-position")}} reference pages. Note that the 3-value position syntax does not work for any usage of <code>&lt;position&gt;</code>, except for in <code>background(-position)</code>.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_various_offset-anchor_values">Setting various offset-anchor values</h3>

<p>In the following example, we have three {{htmlelement("div")}} elements nested in {{htmlelement("section")}} elements. Each <code>&lt;div&gt;</code> is given the same {{cssxref("offset-path")}} (a horizontal line 200 pixels long) and animated to move along it. The three are then given different {{cssxref("background-color")}} and <code>offset-anchor</code> values. </p>

<p>Each <code>&lt;section&gt;</code> has been styled with a linear gradient to give it a horizontal line running through its center, to give you a visual display of where the <code>&lt;div&gt;</code>'s offset paths are running.</p>

<p>This allows you to see what effect the different <code>offset-anchor</code> values have — the first one, <code>auto</code>, causes the <code>&lt;div&gt;</code>'s center point to move along the path. The other two cause the <code>&lt;div&gt;</code>'s top-right and bottom-left points to move along the path, respectively.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html line-numbers language-html notranslate"><code class="language-html"><span class="tag token"><span class="tag token"><span class="punctuation token">&lt;section&gt;
  &lt;</span>div</span> <span class="attr-name token">class</span><span class="attr-value token"><span class="punctuation token">=</span><span class="punctuation token">"offset-anchor1</span><span class="punctuation token">"</span></span><span class="punctuation token">&gt;</span><span class="tag token"><span class="punctuation token">&lt;/</span>div</span><span class="punctuation token">&gt;
&lt;/section&gt;
&lt;section&gt;
</span><span class="tag token"><span class="punctuation token">  &lt;</span>div</span> <span class="attr-name token">class</span><span class="attr-value token"><span class="punctuation token">=</span><span class="punctuation token">"offset-anchor2</span><span class="punctuation token">"</span></span><span class="punctuation token">&gt;</span><span class="tag token"><span class="punctuation token">&lt;/</span>div</span><span class="punctuation token">&gt;
&lt;/section&gt;
&lt;section&gt;
</span><span class="tag token"><span class="punctuation token">  &lt;</span>div</span> <span class="attr-name token">class</span><span class="attr-value token"><span class="punctuation token">=</span><span class="punctuation token">"offset-anchor3</span><span class="punctuation token">"</span></span><span class="punctuation token">&gt;</span><span class="tag token"><span class="punctuation token">&lt;/</span>div</span><span class="punctuation token">&gt;</span></span></code>
&lt;/section&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">div {
  offset-path: path('M 0,20 L 200,20');
  animation: move 3000ms infinite alternate ease-in-out;
  width: 40px;
  height: 40px;
}

section {
  background-image: linear-gradient(to bottom, transparent, transparent 49%, #000 50%, #000 51%, transparent 52%);
  border: 1px solid #ccc;
  margin-bottom: 10px;
}

.offset-anchor1 {
  offset-anchor: auto;
  background: cyan;
}

.offset-anchor2 {
  offset-anchor: right top;
  background: purple;
}

.offset-anchor3 {
  offset-anchor: left bottom;
  background: magenta;
}

@keyframes move {
  0% {
    offset-distance: 0%;
  }
  100% {
    offset-distance: 100%;
  }
}</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample('Setting_various_offset-anchor_values', '100%', '300')}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th>Specification</th>
   <th>Status</th>
   <th>Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Motion Path Level 1', '#offset-anchor-property', 'offset-anchor')}}</td>
   <td>{{Spec2('Motion Path Level 1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.offset-anchor")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("offset")}}</li>
 <li>{{cssxref("offset-distance")}}</li>
 <li>{{cssxref("offset-rotation")}}</li>
 <li><a href="/en-US/docs/Web/SVG/Tutorial/Paths">SVG <code>&lt;path&gt; </code></a></li>
</ul>
